/* Panel */

%panelParts {
	float: left;
	min-height: 169px;
	background-color: white;
	@extend %borderBox;
}

@mixin panelColors($color) {
	div i {
		background-color: #{$color};
	}
	
	strong {
		color: #{$color};
	}
}

.dashboard_panel {
	position: relative;
	display: block;
	min-height: 169px;
	max-height: 169px;
	height: 169px;
	
	@extend %clearfix;
	@extend %border;
	@extend %shadow;
	
	@include transition(
		all 0.222s linear
	);
	
	&.open {
		height: auto;
		max-height: 8000px;
	}
	
	& + & {
		margin-top: 30px;
	}
	
	// Type color settings
	
	&.panel_leads {
		@include panelColors($cyan);
	}
	
	&.panel_first_time {
		@include panelColors($green2);
	}
	
	&.panel_active {
		@include panelColors($green3);
	}
	
	&.panel_defecting {
		@include panelColors($red);
	}
	
	&.panel_inactive {
		@include panelColors($grey);
	}
	
	// Shared parts
	
	i {
		width: 43px;
		height: 43px;
		font-size: 20px;
		text-align: center;
		line-height: 43px;
		color: $white;
		
		&.nice {
			background-color: $green !important;
		}
	}
}

// Parts of the panel - top section

.panel_main,
.panel_pie,
.panel_main,
.panel_chart {
	border-right: 1px solid $border;
}

.panel_main,
.panel_pie {
	width: 12.5%;
	text-align: center;
	
	@extend %panelParts;
}

.panel_pie {
	background-color: $background;
}

.panel_chart {
	width: 45%;
	
	@extend %panelParts;
}

.panel_last_days {
	width: 30%;
	
	@extend %panelParts;
}

// Panel inner parts

i.switch {
	position: absolute;
	bottom: -23px;
	right: -1px;
	width: 32px;
	border: 1px solid #ddd;
	height: 32px;
	line-height: 32px;
	cursor: pointer;
	background-color: $white;
	color: #999;
}

.panel_main {
	h2 {
		margin: 46px 0 4px 0;
		line-height: 27px;
	}
	
	p {
		margin: 0;
		font-size: 26px;
		color: #333333;
	}
	
	small {
		display: block;
		margin-top: 1px;
		font-size: 13px;
	}
	
	&.detailed {
		h2 {
			margin: {
				top: 36px;
			}
		}
	}
}

.panel_pie {
	div {
		margin-top: 18px;
		width: 100px;
		height: 100px;
		
		@extend %center;
	}
	
	p {
		margin: 0;
		font-size: 15px;
		color: #00203f;
		line-height: 16px;
	}
	
	small {
		font-size: 11px;
		color: $text;
	}
}

.panel_chart {
	padding: 33px 15px 0 15px;
	
	> div {
	
		& + div {
			margin-top: 18px;
		}
		
		font-size: 13px;
		
		strong {
			font: {
				size: 15px;
				weight: 400;
			}
		}
	}
	
	.yesterday {
		float: right;
		margin-top: -16px;
		text-align: center;
			
		strong {
			display: block;
			font-size: 20px;
		}
	}
	
	img {
		margin-top: 1px;
	}
	
}

.panel_last_days,
.panel_details {
	padding: 18px 18px 0 18px;
	
	div {
		height: 43px;
	}
	
	i {
		display: block;
		float: left;
		margin-right: 10px;
	}
	
	strong {
		display: block;
		font: {
			weight: 300;
			size: 20px;
		}
	}
	
	span {
		font-size: 13px;
		color: $text;
	}
	
	div + div {
		margin-top: 20px;
	}
}

.panel_last_days {
	padding-top: 29px;
	
	small {
		display: inline-block;
		padding-top: 8px;
		color: #999;
	}
}

.panel_details {
	clear: left;
	padding: 0;
	height: 0;
	overflow: hidden;
	background-color: $background;
	
	.open & {
		padding: 19px;
		height: auto;
	}
	
	h2,
	h3 {
		@extend %clearfix;
	}
	
	h2 {
		margin-top: 3px;
	}
	
	h3 {
		margin-bottom: 8px;
	}
	
	.panel_details_block + h3 {
		padding-top: 11px;
	}
}

.panel_details_block {
	position: relative;
	float: left;
	padding: 28px 24px;
	width: 32%;
	min-height: 100px;
	background-color: $white;
	
	@extend %borderBox;
	@extend %border;
	@extend %shadow;
	
	@for $i from 1 through 10 {
		&:nth-child(#{$i}) {
			z-index: 11 - $i;
		}
	}

	& + & {
		margin: {
			top: 0;
			left: 2%;
		}
	}
}
